Skip to main content
GET
/
v1
/
agents
/
releases
Get Agent Track History
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/agents/releases \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/agents/releases"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/agents/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "results": [
    {
      "releasedAt": "<string>",
      "supportLevel": "<string>",
      "trackName": "<string>",
      "version": "<string>"
    }
  ],
  "size": 20,
  "total": 100
}
{
"type": "https://api.matillion.com/problems/bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Failed to read request. Please check your request body.",
"instance": "/v1/agents/releases"
}
{
"type": "https://api.matillion.com/problems/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "You do not have permission to access this resource.",
"instance": "/v1/agents/releases"
}
{
"type": "https://api.matillion.com/problems/internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "Unexpected error occurred while processing the request.",
"instance": "/v1/agents/releases"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

trackName
string

Filter by track name. Valid values: CURRENT, STABLE

supportLevel
string

Filter by support level. Valid values: SUPPORTED, UNSUPPORTED, DEPRECATED

version
string

Filter by specific agent version

releasedBefore
string

Return only entries released before this date (ISO 8601 format)

releasedAfter
string

Return only entries released after this date (ISO 8601 format)

Response

Success

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

List of agent track history entries for the current page

size
integer<int32>

The size of each page of results.

Example:

20

total
integer<int64>

Total number of available results across all pages.

Example:

100